<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.8                                                     |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est bas sur le module existant pour le tlchargement,     |
// | cette version permet le tlchargement sur plusieurs pages.           |
// | Mod Addon : PclZip -> http://www.phpconcept.net/pclzip/               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

function plugin_install()
{
    global $prefixeTable;
    $query = '
        CREATE TABLE IF NOT EXISTS `'.$prefixeTable.'download_multi` (
            `id_image` mediumint(8) NOT NULL default \'0\',
            `id_user` smallint(5) NOT NULL default \'0\',
            `type` enum(\'t\',\'n\',\'h\') NOT NULL default \'t\',
            `filesize` int(10) unsigned NOT NULL default \'0\',
            UNIQUE KEY Index_1 (`id_image`,`id_user`,`type`)
        ) ENGINE=MyISAM COMMENT=\'Gestion des telechargement sur plusieurs pages\';
    ';
    pwg_query($query);
}

function plugin_uninstall()
{
    global $prefixeTable;
    $query = 'DROP TABLE IF EXISTS `'.$prefixeTable.'download_multi`;';
    pwg_query($query);
}
?>
